# GameCube Homebrew for n00bs

Instructions and scripts for bootstrapping GameCube homebrew

See [GameCube Homebrew for n00bs - Ultimate Guide](https://coolaj86.com/articles/gamecube-homebrew-guide-for-n00bs/)


```
curl https://git.coolaj86.com/coolaj86/GameCube-Homebrew-for-n00bs/raw/branch/master/create-sd-media-launcher-macos.sh -o create-sd-media-launcher-macos.sh
bash ./create-sd-media-launcher-macos.sh
```

# Homebrew Cheatsheet
Downloads:

* **Swiss** v0.4 (r714) | [Homepage](https://github.com/emukidid/swiss-gc)
  * Download [zip](https://github.com/solderjs/swiss-gc/releases/download/0.4r714/swiss_r714.zip) | [7z](https://github.com/emukidid/swiss-gc/releases/download/0.4r714/swiss_r714.7z)
* **GBI** / Game Boy Interface (2019-11-07) | [Homepage](https://www.gc-forever.com/wiki/index.php?title=Game_Boy_Interface)
  * Download [zip](https://github.com/solderjs/Game-Boy-Interface/releases/download/gbi-20191107/gbi-20191107.zip) | [7z](https://files.extremscorner.org/gamecube/apps/gbi/latest)
* **GCMM** / GameCube Memory Manager (1.4f) | [Homepage](https://github.com/suloku/gcmm)
  * [Download zip](https://github.com/suloku/gcmm/releases/download/1.4f/gcmm_1.4f.zip)
* **WWHack** / Wind Waker Gamesave Hack (v1.1.1) | [Homepage](https://github.com/FIX94/ww-hack-gc)
  * [Download zip](https://github.com/FIX94/ww-hack-gc/releases/download/v1.1.1/WWHack-GC-v1.1.1.zip)
* Other Gamesave Hacks
  * [GC Forever Wiki: Booting Homebrew](https://www.gc-forever.com/wiki/index.php?title=Booting_Homebrew)

Convert 7z / rar to zip:

* https://extract.me

Special Files:

* `autoexec.dol` - run by Datel SD Media Launcher Action Replay on disc load
* `boot.dol` - run by Swiss on load
* `xxxx.cli` - text file with list of arguments Swiss should use when loading `xxxx.dol`
* `boot.gci` - whatever WWHack should boot